Subject: bug#51484: [PATCH] Move runtime check for recent giflib to compile time

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Oct 2021 20:57:52 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 29 Oct 2021 09:30:40 -0700
> Cc: [email-masked]
> 
> > The compiler converts that into a run-time constant anyway.  The
> > reason for using such "run-time" testing is usually to have a more
> > readable code, since #ifdef's make the code harder to read.  There are
> > no downsides, since the test is compiled away.
> 
> Right, hence my asking what you all think of the patch.  Which is now
> hopefully also attached.

I generally prefer to avoid #ifdef's, so I think the change you
propose is not for the better.  We have similar code elsewhere in
Emacs, and there's nothing wrong with it.